org.eclipse.actf.util.httpproxy.proxy

## Interface ISecretManager

    public interface ISecretManager

Utility class used for confirmation of correct server-client combination.

### Method Summary

Methods
`String` `getSecret(String id, boolean remove)` Get secret String that is used for confirmation of correct server-client combination
`byte[]` `requestSecret()` Request to generate secret

### Method Detail

#### getSecret

    String getSecret(String id,
                   boolean remove)

Get secret String that is used for confirmation of correct server-client combination

Parameters:
  `id` - target key to obtain the secret
  `remove` - if true, the secret will be removed after invoking this method
Returns:
  secret, or null if the corresponding value is not available for the target key

#### requestSecret

    byte[] requestSecret()

Request to generate secret

Returns:
  secret as array of byte